Subject: Re: bug#37818: [PATCH] Various FAQ updates

From: Stefan Kangas <[email-masked]>
Date: Sat, 19 Oct 2019 14:58:53 +0200

Eli Zaretskii <[email-masked]> writes:

> > 1. Remove section on how to enable the default behaviour of having the
> > region highlighted, which is probably not a frequently asked question.
>
> OK.

Thanks, pushed to master as commit 11c3ec3df6a.

> > 2. Remove information on large files in ancient versions of Emacs that
> > would only confuse new users.  This leaves in only the information on
> > the relatively recent versions of Emacs.
>
> IMO, this section should first tell that Emacs has an inherent fixed
> limitation on the size of buffers, as that is not something people
> assume nowadays.  It should cite the limitation separately for 32-bit
> builds, 32-bit builds --with-wide-int, and 64-bit builds.  Then it
> should say that this limitation also imposes size limit on visiting
> files, but the file-size limit is roughly about half the buffer limit,
> due to decoding and other stuff.  I would also mention visiting
> compressed archives, because the size limitation might be hit half-way
> through decompression.

Thanks.  I've attached a revised patch here according to your
comments.  I'm not sure what the file size limit is for
--with-wide-int on 32-bit builds or 64-bit builds, so that still needs
adding.  Could someone please give the exact numbers or tell me where
I can find them?

Best regards,
Stefan Kangas